[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'idea' (#fcl)

# DeKeyIdea

Create a decryption key from an encryption key.

## Declaration

Source position: idea.pp line 68

`procedure DeKeyIdea(`
`z: TIDEAKey;`
`out dk: TIDEAKey`
`);`

## Arguments

`z` |  | Encryption key
`dk` |  | Key for decryption

## Description

DeKeyIdea creates a decryption key based on the encryption key z. The decryption key is returned in dk. Note that only a decryption key generated from the encryption key that was used to encrypt the data can be used to decrypt the data.

## Errors

None.

## See also

EnKeyIdea |  | Create an IDEA encryption key from a user key.
CipherIdea |  | Encrypt or decrypt a buffer.

Documentation generated on: Feb 26 2014